%define name visionegg
%define version 1.1.1
%define release %mkrel 2

Summary:   Python package for producing stimuli for vision research experiments
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.lzma
License:   LGPL
Group:     Sciences/Other
Url:       http://www.visionegg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: visionegg-demos
Requires:  python-numpy
Requires:  python-imaging >= 1.1.2
Requires:  python-opengl
Requires:  pygame
BuildRequires: python-setuptools, libx11-devel, GL-devel, python-numpy-devel
%py_requires -d

%description 
The Vision Egg uses Python and OpenGL to provide a powerful, flexible,
and free way to produce stimuli for vision research experiments. In
addition to methods for automatic generation of traditional visual
stimuli such as sinusoidal gratings and random dot patterns, it defines a
number of functions for moving numeric data, images, movies, text, and
3D objects to and from your computer's video card and making use of 
features like perspective distortion. 

%prep
%setup -q

%build
CFLAGS="-L/usr/X11R6/%_lib" %__python setup.py build 

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc README.txt README-DEMOS.txt CHANGELOG.txt LICENSE.txt README-BINARY-DEMOS.txt doc/ demo/


%changelog
* Sat Jan 10 2009 Funda Wang <fundawang@mandriva.org> 1.1.1-2mdv2009.1
+ Revision: 327906
- rebuild

* Fri Nov 07 2008 Lev Givon <lev@mandriva.org> 1.1.1-1mdv2009.1
+ Revision: 300409
- Update to 1.1.1.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-7mdv2009.0
+ Revision: 255561
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0-5mdv2008.1
+ Revision: 140929
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 23 2007 Lev Givon <lev@mandriva.org> 1.0-5mdv2007.0
+ Revision: 112489
- Add build dependencies.
- Wrong dependency.
- Fix Python build dependencies.
- Accomodate different Python versions.
- Patch to make installation more FHS compliant.
- Fix dependencies, include demos in separate subpackage,
  install system directory in FHS-compliant location.
- Import visionegg

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python

* Mon May 01 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.0-3mdk
- fix ExclusiveArch

* Mon Jan 23 2006 Lev Givon <lev@mandriva.org> 1.0-2mdk
- Build correctly on x86_64.

* Thu Jan 19 2006 Lev Givon <lev@mandriva.org> 1.0-1mdk
- Initial Mandriva package.

